diff --git a/cmake/modules/BuildDPDK.cmake b/cmake/modules/BuildDPDK.cmake
index 12a831a8b1..a5485aa205 100644
--- a/cmake/modules/BuildDPDK.cmake
+++ b/cmake/modules/BuildDPDK.cmake
@@ -16,17 +16,14 @@ function(do_build_dpdk dpdk_dir)
     set(arch "x86_64")
     set(machine "default")
     set(machine_tmpl "native")
-    set(rte_cflags "-march=core2")
   elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "arm|ARM")
     set(arch "arm")
     set(machine "armv7a")
     set(machine_tmpl "armv7a")
-    set(rte_cflags "-march=armv7-a")
   elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64|AARCH64")
     set(arch "arm64")
     set(machine "armv8a")
     set(machine_tmpl "armv8a")
-    set(rte_cflags "-march=armv8-a+crc")
   elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "(powerpc|ppc)64")
     set(arch "ppc_64")
     set(machine "power8")
@@ -35,7 +32,6 @@ function(do_build_dpdk dpdk_dir)
     message(FATAL_ERROR "not able to build DPDK support: "
       "unknown arch \"${CMAKE_SYSTEM_PROCESSOR}\"")
   endif()
-  set(dpdk_rte_CFLAGS "${rte_cflags}" CACHE INTERNAL "")
   if(CMAKE_SYSTEM_NAME MATCHES "Linux")
     set(execenv "linuxapp")
   elseif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
